package com.xhpc.user.domain;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * 流量用户设置流量方黑名单 xhpc_operator_internet_blacklist
 *
 * @author ruoyi
 */
public class XhpcStationInternetBlacklist implements Serializable {

    private static final long serialVersionUID = 1L;



    /**
     * 流量用户设置流量方黑名单
     */
    private Long xhpcStationInternetBlackId;

    /**
     * 流量用户id
     */
    @NotNull(message = "流量用户OperatorID(evcs)不能为空")
    private String internetUserId;

    /**
     * 对接第三方平台及监管平台的operatorId
     */
    @NotBlank(message = "operatorId不能为空")
    private String operatorIdEvcs;

    /**
     * 电站id
     */
    @NotNull(message = "电站id不能为空")
    private Long chargingStationId;

    /**
     * 状态（0正常 1停用）
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 备注
     */
    private String remark;

    public XhpcStationInternetBlacklist() {
    }

    public String getInternetUserId() {

        return internetUserId;
    }

    public void setInternetUserId(String internetUserId) {

        this.internetUserId = internetUserId;
    }

    public Long getChargingStationId() {
        return chargingStationId;
    }

    public void setChargingStationId(Long chargingStationId) {
        this.chargingStationId = chargingStationId;
    }


    public Long getXhpcStationInternetBlackId() {
        return xhpcStationInternetBlackId;
    }

    public void setXhpcStationInternetBlackId(Long xhpcStationInternetBlackId) {
        this.xhpcStationInternetBlackId = xhpcStationInternetBlackId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getOperatorIdEvcs() {

        return operatorIdEvcs;
    }

    public void setOperatorIdEvcs(String operatorIdEvcs) {

        this.operatorIdEvcs = operatorIdEvcs;
    }

}
